# Differences with pure Python

Although Typon strives to accept as much idiomatic Python as possible, there are some differences and unsupported features:

- heterogeneous lists and tuples are not supported
```py
l = ["abc", 123, False]  # unsupported
d = {5: "abc", True: 123}  # unsupported
```

- dynamic class manipulation (monkey-patching, `__slots__`, `__dict__`) is not supported
- generator expressions are not supported yet
- `int` is fixed-size
- garbage collection is done using reference counting **→ Boehm will be used at a later point**
- `try` blocks are not supported yet